package com.docus.server.message.busservice;

import com.docus.server.message.dto.Message;
import com.docus.server.message.dto.MessageResponse;

public interface SdBusinessService {
    /**
     * 顺德人医电子病历提交信息
     *
     * @param message 信息
     * @return 消息处理结果
     */
    MessageResponse recordSubmitHandle(Message message);

    /**
     * 顺德人医护理提交信息
     *
     * @param message 信息
     * @return 消息处理结果
     */
    MessageResponse wsNurseSubmitHandle(Message message);

    /**
     * 确认患者是否重症病人，并标识重症病人状态,
     * @param inpatientNo 住院号
     * @param admissTimes 住院次数
     */
    void confirmAndUpdIcuRecordState(String inpatientNo, Integer admissTimes);

    /**
     * 是否是重症病人(重症视图是否有数据)
     * @param inpatientNo 住院号
     * @param admissTimes 住院次数
     * @return 是 true 否 false
     */
    boolean isIcuRecord(String inpatientNo, Integer admissTimes);
}
