package com.docus.server.message.controller;

import com.docus.infrastructure.web.api.CommonResult;
import com.docus.server.message.busservice.SdBusinessService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author WYBDEV
 */
@Api("顺德人医医院")
@RestController
@Slf4j
@RequestMapping("/hospital/sdRy")
public class SdRyHospitalController {

    @Autowired
    private SdBusinessService sdBusinessService;


    @ApiOperation("确认患者是否重症病人，并标识重症病人状态,住院号+住院次数")
    @GetMapping("/confirmAndupdIcuRecordState")
    public CommonResult<String> confirmAndUpdIcuRecordState(@RequestParam("inpatientNo") String inpatientNo, @RequestParam("admissTimes") Integer admissTimes) {
        log.info("顺德人医，同步患者是否重症病人，住院号:{},住院次数：{}",inpatientNo,admissTimes);
        sdBusinessService.confirmAndUpdIcuRecordState(inpatientNo, admissTimes);
        return CommonResult.success("成功！");
    }


}
